<?php
namespace DaReactions;
class File
{
    public function __construct(Main $main)
    {
    }
    public function downloadCsv()
    {
        global $wpdb;
        $orderby = filter_input(INPUT_GET, 'orderby', FILTER_SANITIZE_STRIPPED);
        $order = filter_input(INPUT_GET, 'order', FILTER_SANITIZE_STRIPPED);
        $votes_table_name = $wpdb->prefix . 'da_r_votes';
        if (empty($orderby)) {
            $orderby = 'ID';
        }
        if (in_array($order, array('asc', 'desc'))) {
            $order = strtoupper($order);
        } else {
            $order = 'ASC';
        }
        $date_range = filter_input(INPUT_GET, 'date-range', FILTER_SANITIZE_STRIPPED);
        $date_clause = '';
        if (isset($this->date_range_options[$date_range])) {
            $date_clause = Data::getDateClause($date_range, 'created_at');
        }
        $filter_clause = Data::getFilterClause();
        $query = "SELECT ID,
       resource_type,
       resource_id,
       emotion_id,
       user_id,
       user_token,
       user_ip,
       created_at
       FROM ${votes_table_name}
       WHERE 1 = 1
       ${date_clause}
       ${filter_clause}";
        $main_query = $wpdb->prepare(
            "$query
 ORDER BY $orderby $order"
        );
        $this->items = $wpdb->get_results(
            $main_query,
            ARRAY_A
        );
        $out = fopen('php://output', 'w');
        if (count($this->items) > 0) {
            fputcsv($out, array_keys($this->items[0]));
        }
        foreach ($this->items as $file) {
            $result = [];
            array_walk_recursive($file, function ($item) use (&$result) {
                $result[] = $item;
            });
            fputcsv($out, $result);
        }
        fclose($out);
        exit();
    }
}